<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="my-toolbar">
  <template>
    <style>
      :host {
        display: block;
        background-color: gray;
      }
      .title{
        color: var(--my-toolbar-title-color, red);
      }
    </style>
    <span class="title">{{title}}</span>
  </template>

  <script>
    /**
     * `my-toolbar`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MyToolbar extends Polymer.Element {
      static get is() { return 'my-toolbar'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'my-toolbar'
          }
        };
      }

    }

    window.customElements.define(MyToolbar.is, MyToolbar);
  </script>
</dom-module>
